---
title: "批量查询单个商品的款式"
description: "查询单个商品下所有的款式信息。"
doc_type: openapi
doc_category: openapi
doc_version: v20260901
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/product-variant/get-product-variants'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/product-variant/get-product-variants.md'
---
# 查询单个商品所有款式

查询单个商品下所有的款式信息。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20260901
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/:product_id/variants.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `product_id`

  string (required)

  商品的唯一标识 ID。<br/>
  最大长度限制：64 

### Query Parameters

* `fields`

  string (optional)

  指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `variants` 对象下的一级子字段。

* `limit`

  string (optional)

  要查询的商品的数量限制。<br/>取值范围：1-250<br/>默认值：50

* `page_info`

  string (optional)

  分页查询的唯一标识，用于定位特定页面。
  
  该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/products/:product_id/variants.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` ，那么 `page_info `的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。
  
  关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

* `since_id`

  string (optional)

  款式的 ID。传入该值后，会从指定的款式 ID 开始查询商品款式。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `link`

  提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。
  
  当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `variants`

  array<object>

  商品款式列表。

  * `option5`

    string

    款式第五个规格的信息。

  * `image`

    object

    款式的图片。

    * `id`

      string

      款式图的唯一标识 ID。

    * `src`

      string

      款式图的链接，以 URL 形式展示。

    * `alt`

      string

      款式图的替代文本描述，通常是具有图片特征或内容的单词或短语。

  * `inventory_policy`

    string

    表明款式是否允许超卖。
    - `deny`：不允许超卖。
    - `continue`：允许超卖。

  * `inventory_tracker`

    boolean

    表明是否开启库存追踪。
    - `true`：开启库存追踪。
    - `false`：不开启库存追踪。

  * `compare_at_price`

    string

    款式的原价，数值保留到小数点后两位。

  * `product_id`

    string

    款式对应商品的唯一标识 ID。

  * `title`

    string

    款式的标题，由款式的规格值拼装而成。

  * `weight_unit`

    string

    款式的重量单位。有效枚举值包含：
    - `g`：克
    - `kg`：千克
    - `lb`：磅
    - `oz`：盎司
    - `zh_kg`：公斤

  * `id`

    string

    款式的唯一标识 ID。

  * `inventory_item_id`

    string

    库存单位的唯一标识 ID。

  * `option2`

    string

    款式第二个规格的信息。

  * `option3`

    string

    款式第三个规格的信息。

  * `option4`

    string

    款式第四个规格的信息。

  * `required_shipping`

    boolean

    表明款式是否需要运输。
    - `true`：需要运输。
    - `false`：不需要运输。

  * `weight`

    string

    款式的重量，超过两位小数向上取整。

  * `barcode`

    string

    款式的条形码。

  * `inventory_quantity`

    integer

    款式在各存放地点的库存数量总和。

  * `option1`

    string

    款式第一个规格的信息。

  * `price`

    string

    款式的售价，数值保留到小数点后两位。

  * `sku`

    string

    商家为款式自定义的标识，区别于 SHOPLINE 生成的 `variants.id`。

  * `taxable`

    boolean

    表明款式是否需要收税。
    - `true`：需要收税。
    - `false`：不需要收税。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询单个商品所有款式"
  ],
  "description": "查询单个商品下所有的款式信息。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_products` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "gH8FLtIV",
  "parameters": [
    {
      "name": "product_id",
      "in": "path",
      "description": "商品的唯一标识 ID。<br/>\n最大长度限制：64 ",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "product_id",
        "description": "商品的唯一标识 ID。<br/>\n最大长度限制：64 ",
        "type": "string",
        "example": "16057039432335097907370282"
      },
      "example": "16057039432335097907370282",
      "examples": {
        "查询单个商品下所有的款式信息": {
          "value": "16060895302856191591063144"
        }
      }
    },
    {
      "name": "fields",
      "in": "query",
      "description": "指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `variants` 对象下的一级子字段。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `variants` 对象下的一级子字段。",
        "type": "string",
        "example": "title,id"
      },
      "example": "title,id",
      "examples": {
        "查询单个商品下所有的款式信息": {
          "value": ""
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "要查询的商品的数量限制。<br/>取值范围：1-250<br/>默认值：50",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "要查询的商品的数量限制。<br/>取值范围：1-250<br/>默认值：50",
        "type": "string"
      },
      "examples": {
        "查询单个商品下所有的款式信息": {
          "value": ""
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "分页查询的唯一标识，用于定位特定页面。\n\n该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/products/:product_id/variants.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` ，那么 `page_info `的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。\n\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "分页查询的唯一标识，用于定位特定页面。\n该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 link 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`，那么 `page_info` 的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`。\n\n\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
        "type": "string"
      },
      "examples": {
        "查询单个商品下所有的款式信息": {
          "value": ""
        }
      }
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "款式的 ID。传入该值后，会从指定的款式 ID 开始查询商品款式。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "款式的 ID。传入该值后，会从指定的款式 ID 开始查询商品款式。",
        "type": "string",
        "example": "18057039439794751459380282"
      },
      "example": "18057039439794751459380282",
      "examples": {
        "查询单个商品下所有的款式信息": {
          "value": ""
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "link": {
          "description": "提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。\n\n当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/products/:product_id/variants.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/products/:product_id/variants.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "variants": {
                "name": "variants",
                "description": "商品款式列表。",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "option5": {
                      "name": "option5",
                      "description": "款式第五个规格的信息。",
                      "type": "string",
                      "example": "casual"
                    },
                    "image": {
                      "name": "image",
                      "description": "款式的图片。",
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "款式图的唯一标识 ID。",
                          "type": "string",
                          "example": "5785060242207917075"
                        },
                        "src": {
                          "name": "src",
                          "description": "款式图的链接，以 URL 形式展示。",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        },
                        "alt": {
                          "name": "alt",
                          "description": "款式图的替代文本描述，通常是具有图片特征或内容的单词或短语。",
                          "type": "string",
                          "example": "This is an image alt."
                        }
                      },
                      "example": {
                        "alt": "This is an image alt.",
                        "id": "5785060242207917075",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "inventory_policy": {
                      "name": "inventory_policy",
                      "description": "表明款式是否允许超卖。\n- `deny`：不允许超卖。\n- `continue`：允许超卖。",
                      "type": "string"
                    },
                    "inventory_tracker": {
                      "name": "inventory_tracker",
                      "description": "表明是否开启库存追踪。\n- `true`：开启库存追踪。\n- `false`：不开启库存追踪。",
                      "type": "boolean"
                    },
                    "compare_at_price": {
                      "name": "compare_at_price",
                      "description": "款式的原价，数值保留到小数点后两位。",
                      "type": "string",
                      "example": "129.99"
                    },
                    "product_id": {
                      "name": "product_id",
                      "description": "款式对应商品的唯一标识 ID。",
                      "type": "string",
                      "example": "16057039432335097907370282"
                    },
                    "title": {
                      "name": "title",
                      "description": "款式的标题，由款式的规格值拼装而成。",
                      "type": "string",
                      "example": "red · xl"
                    },
                    "weight_unit": {
                      "name": "weight_unit",
                      "description": "款式的重量单位。有效枚举值包含：\n- `g`：克\n- `kg`：千克\n- `lb`：磅\n- `oz`：盎司\n- `zh_kg`：公斤",
                      "type": "string"
                    },
                    "id": {
                      "name": "id",
                      "description": "款式的唯一标识 ID。",
                      "type": "string",
                      "example": "18057039439794751459380282"
                    },
                    "inventory_item_id": {
                      "name": "inventory_item_id",
                      "description": "库存单位的唯一标识 ID。",
                      "type": "string",
                      "example": "5785060242207917075"
                    },
                    "option2": {
                      "name": "option2",
                      "description": "款式第二个规格的信息。",
                      "type": "string",
                      "example": "xl"
                    },
                    "option3": {
                      "name": "option3",
                      "description": "款式第三个规格的信息。",
                      "type": "string",
                      "example": "cotton"
                    },
                    "option4": {
                      "name": "option4",
                      "description": "款式第四个规格的信息。",
                      "type": "string",
                      "example": "short"
                    },
                    "required_shipping": {
                      "name": "required_shipping",
                      "description": "表明款式是否需要运输。\n- `true`：需要运输。\n- `false`：不需要运输。",
                      "type": "boolean"
                    },
                    "weight": {
                      "name": "weight",
                      "description": "款式的重量，超过两位小数向上取整。",
                      "type": "string",
                      "example": "0.23"
                    },
                    "barcode": {
                      "name": "barcode",
                      "description": "款式的条形码。",
                      "type": "string",
                      "example": "T0000001"
                    },
                    "inventory_quantity": {
                      "name": "inventory_quantity",
                      "description": "款式在各存放地点的库存数量总和。",
                      "type": "integer",
                      "example": 99
                    },
                    "option1": {
                      "name": "option1",
                      "description": "款式第一个规格的信息。",
                      "type": "string",
                      "example": "red"
                    },
                    "price": {
                      "name": "price",
                      "description": "款式的售价，数值保留到小数点后两位。",
                      "type": "string",
                      "example": "90.22"
                    },
                    "sku": {
                      "name": "sku",
                      "description": "商家为款式自定义的标识，区别于 SHOPLINE 生成的 `variants.id`。",
                      "type": "string",
                      "example": "S000000001"
                    },
                    "taxable": {
                      "name": "taxable",
                      "description": "表明款式是否需要收税。\n- `true`：需要收税。\n- `false`：不需要收税。",
                      "type": "boolean"
                    }
                  },
                  "example": {
                    "option2": "xl",
                    "product_id": "16057039432335097907370282",
                    "compare_at_price": "129.99",
                    "id": "18057039439794751459380282",
                    "inventory_quantity": 99,
                    "option5": "casual",
                    "title": "red · xl",
                    "inventory_policy": null,
                    "option1": "red",
                    "sku": "S000000001",
                    "taxable": null,
                    "weight_unit": null,
                    "barcode": "T0000001",
                    "inventory_item_id": "5785060242207917075",
                    "inventory_tracker": null,
                    "option3": "cotton",
                    "option4": "short",
                    "price": "90.22",
                    "required_shipping": null,
                    "weight": "0.23",
                    "image": {
                      "id": "5785060242207917075",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png",
                      "alt": "This is an image alt."
                    }
                  }
                },
                "example": [
                  {
                    "option5": "casual",
                    "compare_at_price": "129.99",
                    "image": {
                      "alt": "This is an image alt.",
                      "id": "5785060242207917075",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "inventory_quantity": 99,
                    "inventory_tracker": null,
                    "option2": "xl",
                    "sku": "S000000001",
                    "inventory_policy": null,
                    "price": "90.22",
                    "required_shipping": null,
                    "taxable": null,
                    "option3": "cotton",
                    "barcode": "T0000001",
                    "inventory_item_id": "5785060242207917075",
                    "option1": "red",
                    "weight": "0.23",
                    "id": "18057039439794751459380282",
                    "product_id": "16057039432335097907370282",
                    "title": "red · xl",
                    "weight_unit": null,
                    "option4": "short"
                  }
                ]
              }
            },
            "example": {
              "variants": [
                {
                  "compare_at_price": "129.99",
                  "id": "18057039439794751459380282",
                  "option3": "cotton",
                  "option4": "short",
                  "option5": "casual",
                  "price": "90.22",
                  "taxable": null,
                  "weight": "0.23",
                  "barcode": "T0000001",
                  "image": {
                    "id": "5785060242207917075",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png",
                    "alt": "This is an image alt."
                  },
                  "inventory_tracker": null,
                  "option2": "xl",
                  "required_shipping": null,
                  "inventory_item_id": "5785060242207917075",
                  "product_id": "16057039432335097907370282",
                  "sku": "S000000001",
                  "weight_unit": null,
                  "inventory_policy": null,
                  "inventory_quantity": 99,
                  "option1": "red",
                  "title": "red · xl"
                }
              ]
            }
          },
          "examples": {
            "查询单个商品下所有的款式信息": {
              "description": "查询单个商品下所有的款式信息。",
              "value": {
                "variants": [
                  {
                    "image": {
                      "alt": "my image alt",
                      "id": "6089530275430875206",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "inventory_policy": "deny",
                    "inventory_quantity": 0,
                    "title": "L · White",
                    "compare_at_price": "99.00",
                    "inventory_item_id": "6089530288991379429",
                    "option1": "L",
                    "price": "90.00",
                    "sku": "S0000001",
                    "id": "18060895302863070249743144",
                    "option2": "White",
                    "product_id": "16060895302856191591063144",
                    "taxable": true,
                    "barcode": "T0000001",
                    "inventory_tracker": true,
                    "required_shipping": true,
                    "weight": "0.20",
                    "weight_unit": "kg"
                  },
                  {
                    "sku": "S00000000102",
                    "inventory_quantity": 0,
                    "option1": "XL",
                    "price": "100.00",
                    "weight_unit": "g",
                    "compare_at_price": "120.00",
                    "taxable": true,
                    "title": "XL · White",
                    "required_shipping": true,
                    "barcode": "B0000000001",
                    "id": "18060895302863070249833144",
                    "inventory_item_id": "6089530288991379430",
                    "inventory_policy": "deny",
                    "product_id": "16060895302856191591063144",
                    "weight": "50.00",
                    "image": {
                      "alt": "Thisisaimagealt",
                      "id": "6089530275430875206",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "inventory_tracker": true,
                    "option2": "White"
                  },
                  {
                    "required_shipping": true,
                    "title": "XXL · White",
                    "sku": "S00000000103",
                    "barcode": "B0000000001",
                    "inventory_item_id": "6089530288991379428",
                    "option1": "XXL",
                    "option2": "White",
                    "price": "100.00",
                    "taxable": true,
                    "weight_unit": "g",
                    "image": {
                      "alt": "Thisisaimagealt",
                      "id": "6089530275430875206",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "inventory_policy": "deny",
                    "inventory_tracker": true,
                    "product_id": "16060895302856191591063144",
                    "weight": "50.00",
                    "compare_at_price": "120.00",
                    "id": "18060895302863070249893144",
                    "inventory_quantity": 0
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/products/:product_id/variants.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询单个商品所有款式",
    "version": "v20260901"
  },
  "authIndexes": [
    "read_products"
  ]
}
```